LINUX.ORG.RU
ФорумAdmin

синхронизация времени


0

1

Приветствую всех

решил познакомиться с линуксом, и сразу головная боль: синхронизировать время мне так и не удалось, возникает постоянное отставание системного времени на моей машинке

а идея такова: синхронизация должна проходить с виндузятной машиной не подключенной к интернету (я тоже, с Linux доступа к инету не имею) я копался на куче форумов, и в результате кучи колдунств и заклятий получил следующее:

1. файл /etc/ntp.conf я настроил

2. /usr/sbin/ntpdate помог мне синхронизировать время

3. ntpd и ntpq я в упор не вижу и не могу найти, соответственно и не могу запустить

4. /etc/rc.conf не существует

спасибо

4. /etc/rc.conf не существует

Дистрибутив какой?

kitar ★★★★★ ()

3. ntpd и ntpq я в упор не вижу и не могу найти, соответственно и не могу запустить

какой дистрибутив?

ntp и ntpdate обычно в разных пакетах, первый у тебя не установлен, судя по всему.

4. /etc/rc.conf не существует

значит нормальный дистрибутив, скорее всего.

lazyklimm ★★★★★ ()
Ответ на: комментарий от lazyklimm

хм...

помогите ущербному: подскажите как узнать какой дистрибутив право, очень стыдно

Kristofer ()
Ответ на: комментарий от lazyklimm

это не я ставил... но согласшусь... ужОс!!!

но нужна именно эта, так уж заведено, и нужно для наших операций

Kristofer ()
Ответ на: комментарий от Kristofer

но нужна именно эта, так уж заведено, и нужно для наших операций

странно. Короче, тебе нужно где-нибудь откопать пакет с ntp (установочного диска от этой некромантии не сохранилось?) и установить.

lazyklimm ★★★★★ ()
Ответ на: комментарий от lazyklimm

вы очень проницательны, диска не сохранилось...

попробую побродить по инету, авось найду, тогда наверное и вернусь в эту ветку

так как, я понимаю, нет смысла сейчас думать о чем-то

Kristofer ()
Ответ на: комментарий от Kristofer

команда:

/bin/rpm -Uhv /tmp/ntp-4.1.2-0.rc1.2.i386.rpm

выдало такую строку:

warning: /tmp/ntp-4.1.2-0.rc1.2.i386.rpm: V3 DSA signature: nokey, key ID db42a60e

error: Filed dependecies: (и кучу жалоб типа: /bin/bash is needed by ntp-4.1.2-0.rc1.2)

Kristofer ()

Что мешает запускать по cron команду ntpdate?

blackst0ne ★★★★★ ()
Ответ на: комментарий от Kristofer

Kristofer

error: Filed dependecies: (и кучу жалоб типа: /bin/bash is needed by ntp-4.1.2-0.rc1.2)

вам нужно эту кучу программ поставить. Хотя проще конечно обновиться до актуальной версии. Ну или как тут сказали - cron, а там ntpdate, хотя это костыль.

drBatty ★★ ()
Ответ на: комментарий от Kristofer

господи, какой же я краб!!!

михалываныч, перелогиньтесь

lazyklimm ★★★★★ ()

У меня так работает

echo "0 */1 * * * /usr/sbin/ntpdate ru.pool.ntp.org" >> /etc/crontab
а чтобы системное еще и синхронизировать можно использовать hwclock

zloywolk ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.